Subject: Re: bug#8492: 23.3; Time to use a different binding for completion?

From: Po Lu <[email-masked]>
Date: Fri, 29 Apr 2022 21:22:26 +0800

Lars Ingebrigtsen <[email-masked]> writes:

> I have somehow never considered that `completion-at-point' was supposed
> to be on `M-TAB', because the Emacs help system only mentions it as
> `C-M-i'...  but `C-i' is, of course, `TAB', and with an added Meta,
> that's `M-TAB' alright.  🙃
>
> Anyway, I agree that `M-TAB' is a bad choice for a key binding this
> days, since many of the window systems out there steal the key, and
> therefore an important thing like completion doesn't work logically out
> of the box for many people.
>
> `C-TAB' is free, of course, but doesn't work on terminals, and I guess
> the same is the case with all other modifier+TAB combinations.  So I
> don't know what we could do -- we could bind `C-TAB' for the GUI people,
> for instance?

FWIW, I'm happy with typing C-M-i.  I have no opinion about also binding
C-<tab>, as long as M-<tab> doesn't go away.